Subject: gitk says "file name too long"

From: Sebastian Schuberth <[email-masked]>
Date: Thu, 25 Feb 2010 14:44:41 +0100

Hi,

I'm having the same problem in msysGit as already described here in the 
msysGit issue tracker:

http://code.google.com/p/msysgit/issues/detail?id=387

The problem seems to be that for some reason gitk is launching "git 
rev-list" (in $cmd) with a ton of IDs (in $ids), resulting in a command 
line that is too long. So the error message does not come from gitk / 
tk, but from git rev-list. I'm getting the same error (argument list too 
long) if I manually enter the command at the shell.

Is anyone else experiencing this and has a solution? Is the problem 
rather that the list of IDs is wrong (and thus too long), or do we need 
to find a work-around to pass auch long command lines to git rev-list?

Thanks.

-- 
Sebastian Schuberth